apiVersion: v1
kind: Service
metadata:
  name: realworld-api
  labels:
    app.kubernetes.io/name: {{ include "realworld.name" . }}-api
    helm.sh/chart: {{ .Chart.Name }}-{{ .Chart.Version | replace "+" "_" }}
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/version: {{ .Chart.AppVersion }}
    app.kubernetes.io/component: api
    app.kubernetes.io/part-of: {{ include "realworld.name" . }}
    app.kubernetes.io/managed-by: {{ .Release.Service }}
spec:
  type: {{ .Values.api.service.type }}
  ports:
    - name: http
      port: {{ .Values.api.service.port }}
      protocol: TCP
      targetPort: http
  selector:
    app.kubernetes.io/name: {{ include "realworld.name" . }}-api
    app.kubernetes.io/instance: {{ .Release.Name }}
    app.kubernetes.io/version: {{ .Chart.AppVersion }}
    app.kubernetes.io/component: api
